org.icefaces.ace.context

## Class AutoUpdateCallbackPartialViewContext

- java.lang.Object
- - javax.faces.context.PartialViewContext
  - - javax.faces.context.PartialViewContextWrapper
    - - org.icefaces.ace.context.AutoUpdateCallbackPartialViewContext

- All Implemented Interfaces:
    javax.faces.FacesWrapper<javax.faces.context.PartialViewContext>

      public class AutoUpdateCallbackPartialViewContext
      extends javax.faces.context.PartialViewContextWrapper

- - ### Field Summary

    - ### Fields inherited from class javax.faces.context.PartialViewContext

      `ALL_PARTIAL_PHASE_CLIENT_IDS, PARTIAL_EXECUTE_PARAM_NAME, PARTIAL_RENDER_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoUpdateCallbackPartialViewContext(javax.faces.context.PartialViewContext wrapped)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.context.PartialResponseWriter` | `getPartialResponseWriter()`
    `java.util.Collection<java.lang.String>` | `getRenderIds()`
    `javax.faces.context.PartialViewContext` | `getWrapped()`
    `boolean` | `isAjaxRequest()`
    `void` | `setPartialRequest(boolean value)`

    - ### Methods inherited from class javax.faces.context.PartialViewContextWrapper

      `getExecuteIds, isExecuteAll, isPartialRequest, isRenderAll, processPartial, release, setRenderAll`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoUpdateCallbackPartialViewContext

          public AutoUpdateCallbackPartialViewContext(javax.faces.context.PartialViewContext wrapped)

  - ### Method Detail

    - #### getWrapped

          public javax.faces.context.PartialViewContext getWrapped()

      Specified by:
        `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.PartialViewContext>`
      Overrides:
        `getWrapped` in class `javax.faces.context.PartialViewContextWrapper`

    - #### setPartialRequest

          public void setPartialRequest(boolean value)

      Specified by:
        `setPartialRequest` in class `javax.faces.context.PartialViewContext`

    - #### getPartialResponseWriter

          public javax.faces.context.PartialResponseWriter getPartialResponseWriter()

      Overrides:
        `getPartialResponseWriter` in class `javax.faces.context.PartialViewContextWrapper`

    - #### getRenderIds

          public java.util.Collection<java.lang.String> getRenderIds()

      Overrides:
        `getRenderIds` in class `javax.faces.context.PartialViewContextWrapper`

    - #### isAjaxRequest

          public boolean isAjaxRequest()

      Overrides:
        `isAjaxRequest` in class `javax.faces.context.PartialViewContextWrapper`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.